Loading...
Searching...
No Matches
fftools_objpool.h File Reference

Go to the source code of this file.

## Typedefs

typedef struct ObjPool | ObjPool
typedef void *(* | ObjPoolCBAlloc) (void)
typedef void(* | ObjPoolCBReset) (void *)
typedef void(* | ObjPoolCBFree) (void **)

## Functions

void | objpool_free (ObjPool **op)
ObjPool * | objpool_alloc (ObjPoolCBAlloc cb_alloc, ObjPoolCBReset cb_reset, ObjPoolCBFree cb_free)
ObjPool * | objpool_alloc_packets (void)
ObjPool * | objpool_alloc_frames (void)
int | objpool_get (ObjPool *op, void **obj)
void | objpool_release (ObjPool *op, void **obj)

## Typedef Documentation

## ObjPool

typedef struct ObjPool ObjPool

Definition at line 35 of file fftools_objpool.h.

## ObjPoolCBAlloc

typedef void *(* ObjPoolCBAlloc) (void)

Definition at line 37 of file fftools_objpool.h.

## ObjPoolCBFree

typedef void(* ObjPoolCBFree) (void **)

Definition at line 39 of file fftools_objpool.h.

## ObjPoolCBReset

typedef void(* ObjPoolCBReset) (void *)

Definition at line 38 of file fftools_objpool.h.

## Function Documentation

## objpool_alloc()

ObjPool * objpool_alloc | ( | ObjPoolCBAlloc | cb_alloc,
|  | ObjPoolCBReset | cb_reset,
|  | ObjPoolCBFree | cb_free
| ) |  |

Definition at line 53 of file fftools_objpool.c.

## objpool_alloc_frames()

ObjPool * objpool_alloc_frames | ( | void |  | ) |

Definition at line 142 of file fftools_objpool.c.

## objpool_alloc_packets()

ObjPool * objpool_alloc_packets | ( | void |  | ) |

Definition at line 138 of file fftools_objpool.c.

## objpool_free()

void objpool_free | ( | ObjPool ** | op | ) |

Definition at line 68 of file fftools_objpool.c.

## objpool_get()

int objpool_get | ( | ObjPool * | op,
|  | void ** | obj
| ) |  |

Definition at line 81 of file fftools_objpool.c.

## objpool_release()

void objpool_release | ( | ObjPool * | op,
|  | void ** | obj
| ) |  |

Definition at line 92 of file fftools_objpool.c.